##### Views

- Page
- Discussion
- View source
- History

# love.physics.newDistanceJoint

Creates a DistanceJoint between two bodies.

This joint constrains the distance between two points on two bodies to be constant. These two points are specified in world coordinates and the two bodies are assumed to be in place when this joint is created. The first anchor point is connected to the first body and the second to the second body, and the points define the length of the distance joint.

## Function

Available since LÖVE 0.8.0
This variant is not supported in earlier versions.

### Synopsis

joint = love.physics.newDistanceJoint( body1, body2, x1, y1, x2, y2, collideConnected )

### Arguments

`Body body1`
  The first body to attach to the joint.
`Body body2`
  The second body to attach to the joint.
`number x1`
  The x position of the first anchor point.
`number y1`
  The y position of the first anchor point.
`number x2`
  The x position of the second anchor point.
`number y2`
  The y position of the second anchor point.
`boolean collideConnected (false)`
  Specifies whether the two bodies should collide with each other.

### Returns

`DistanceJoint joint`
  The new distance joint.

## Function

Removed in LÖVE 0.8.0
This variant is not supported in that and later versions.

### Synopsis

joint = love.physics.newDistanceJoint( body1, body2, x1, y1, x2, y2 )

### Arguments

`Body body1`
  The first body to attach to the joint.
`Body body2`
  The second body to attach to the joint.
`number x1`
  The x position of the first anchor point.
`number y1`
  The y position of the first anchor point.
`number x2`
  The x position of the second anchor point.
`number y2`
  The y position of the second anchor point.

### Returns

`DistanceJoint joint`
  The new distance joint.

## See Also

- love.physics
- DistanceJoint
- Joint

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.physics.newDistanceJoint"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties